package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "qywx_user")
public class QywxUser {
    /**
     * ID, 主键,自增
     */
    @Id
    private Integer id;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 修改时间
     */
    private Date updatetime;

    /**
     * 成员UserID
     */
    @Column(name = "UserID")
    private String userid;

    /**
     * 成员名称
     */
    @Column(name = "Name")
    private String name;

    /**
     * 成员部门列表
     */
    @Column(name = "Department")
    private String department;

    /**
     * 手机号码
     */
    @Column(name = "Mobile")
    private String mobile;

    /**
     * 职位信息
     */
    @Column(name = "Position")
    private String position;

    /**
     * 性别，1表示男性，2表示女性
     */
    @Column(name = "Gender")
    private Short gender;

    /**
     * 邮箱
     */
    @Column(name = "Email")
    private String email;

    /**
     * 激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
     */
    @Column(name = "Status")
    private Short status;

    /**
     * 头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可
     */
    @Column(name = "Avatar")
    private String avatar;

    /**
     * 英文名
     */
    @Column(name = "EnglishName")
    private String englishname;

    /**
     * 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    @Column(name = "IsLeader")
    private Short isleader;

    /**
     * 座机
     */
    @Column(name = "Telephone")
    private String telephone;

    /**
     * 扩展属性
     */
    @Column(name = "ExtAttr")
    private String extattr;

    /**
     * 获取ID, 主键,自增
     *
     * @return id - ID, 主键,自增
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置ID, 主键,自增
     *
     * @param id ID, 主键,自增
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取创建时间
     *
     * @return createtime - 创建时间
     */
    public Date getCreatetime() {
        return createtime;
    }

    /**
     * 设置创建时间
     *
     * @param createtime 创建时间
     */
    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    /**
     * 获取修改时间
     *
     * @return updatetime - 修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 设置修改时间
     *
     * @param updatetime 修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 获取成员UserID
     *
     * @return UserID - 成员UserID
     */
    public String getUserid() {
        return userid;
    }

    /**
     * 设置成员UserID
     *
     * @param userid 成员UserID
     */
    public void setUserid(String userid) {
        this.userid = userid;
    }

    /**
     * 获取成员名称
     *
     * @return Name - 成员名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置成员名称
     *
     * @param name 成员名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取成员部门列表
     *
     * @return Department - 成员部门列表
     */
    public String getDepartment() {
        return department;
    }

    /**
     * 设置成员部门列表
     *
     * @param department 成员部门列表
     */
    public void setDepartment(String department) {
        this.department = department;
    }

    /**
     * 获取手机号码
     *
     * @return Mobile - 手机号码
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置手机号码
     *
     * @param mobile 手机号码
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 获取职位信息
     *
     * @return Position - 职位信息
     */
    public String getPosition() {
        return position;
    }

    /**
     * 设置职位信息
     *
     * @param position 职位信息
     */
    public void setPosition(String position) {
        this.position = position;
    }

    /**
     * 获取性别，1表示男性，2表示女性
     *
     * @return Gender - 性别，1表示男性，2表示女性
     */
    public Short getGender() {
        return gender;
    }

    /**
     * 设置性别，1表示男性，2表示女性
     *
     * @param gender 性别，1表示男性，2表示女性
     */
    public void setGender(Short gender) {
        this.gender = gender;
    }

    /**
     * 获取邮箱
     *
     * @return Email - 邮箱
     */
    public String getEmail() {
        return email;
    }

    /**
     * 设置邮箱
     *
     * @param email 邮箱
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * 获取激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
     *
     * @return Status - 激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
     */
    public Short getStatus() {
        return status;
    }

    /**
     * 设置激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
     *
     * @param status 激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
     */
    public void setStatus(Short status) {
        this.status = status;
    }

    /**
     * 获取头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可
     *
     * @return Avatar - 头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可
     */
    public String getAvatar() {
        return avatar;
    }

    /**
     * 设置头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可
     *
     * @param avatar 头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可
     */
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    /**
     * 获取英文名
     *
     * @return EnglishName - 英文名
     */
    public String getEnglishname() {
        return englishname;
    }

    /**
     * 设置英文名
     *
     * @param englishname 英文名
     */
    public void setEnglishname(String englishname) {
        this.englishname = englishname;
    }

    /**
     * 获取上级字段，标识是否为上级。0表示普通成员，1表示上级
     *
     * @return IsLeader - 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    public Short getIsleader() {
        return isleader;
    }

    /**
     * 设置上级字段，标识是否为上级。0表示普通成员，1表示上级
     *
     * @param isleader 上级字段，标识是否为上级。0表示普通成员，1表示上级
     */
    public void setIsleader(Short isleader) {
        this.isleader = isleader;
    }

    /**
     * 获取座机
     *
     * @return Telephone - 座机
     */
    public String getTelephone() {
        return telephone;
    }

    /**
     * 设置座机
     *
     * @param telephone 座机
     */
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    /**
     * 获取扩展属性
     *
     * @return ExtAttr - 扩展属性
     */
    public String getExtattr() {
        return extattr;
    }

    /**
     * 设置扩展属性
     *
     * @param extattr 扩展属性
     */
    public void setExtattr(String extattr) {
        this.extattr = extattr;
    }
}